<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];

$idFeriado          = $_POST['idFeriado'];
$dataInicialFeriado = $_POST['dataInicialFeriado'];
$dataFinalFeriado   = $_POST['dataFinalFeriado'];
$descricaoFeriado   = mb_strtoupper($_POST['descricaoFeriado']);

  # --- atualizar suspensão de agendas do feriado --- #
  if($idFeriado!=""){
    $stmFeriadoAtivar   = $rsConexao->prepare("SELECT data_inicioferiado, data_fimferiado FROM reg_tb_feriados WHERE id_feriado='$idFeriado'");
    $stmFeriadoAtivar   -> execute();
    $rsFeriadoAtivar    = $stmFeriadoAtivar->fetch(PDO::FETCH_OBJ);
    $dataAtivarInicial  = $rsFeriadoAtivar->data_inicioferiado;
    $dataAtivarFinal    = $rsFeriadoAtivar->data_fimferiado;
    $sqlAtivaAgenda = "UPDATE reg_tb_agenda_sub SET
      status_agenda='A'
      WHERE (concat(reg_tb_agenda_sub.ano_agenda,'-',lpad(reg_tb_agenda_sub.mes_agenda,2,'0'),'-',lpad(reg_tb_agenda_sub.dia_agenda,2,'0')) BETWEEN '$dataAtivarInicial' AND '$dataAtivarFinal')";
    $stmAtivaAgenda = $rsConexao->prepare($sqlAtivaAgenda);
    $stmAtivaAgenda ->execute();
  }
    $sqlDesativaAgenda = "UPDATE reg_tb_agenda_sub SET
    status_agenda='I'
    WHERE (concat(reg_tb_agenda_sub.ano_agenda,'-',lpad(reg_tb_agenda_sub.mes_agenda,2,'0'),'-',lpad(reg_tb_agenda_sub.dia_agenda,2,'0')) BETWEEN '$dataInicialFeriado' AND '$dataFinalFeriado')";  
    $stmDesativaAgenda = $rsConexao->prepare($sqlDesativaAgenda);
    $stmDesativaAgenda ->execute();  
  # -------------------------------------------------- #

//VERIFICAR SE EXISTE FERIADO JÁ CADASTRADO
$stmFeriadoExiste     =  $rsConexao->prepare("SELECT id_feriado FROM reg_tb_feriados WHERE date_format(data_inicioferiado,'%Y-%m-%d')>='$dataInicialFeriado' AND date_format(data_fimferiado,'%Y-%m-%d')<='$dataFinalFeriado'");
$stmFeriadoExiste     -> execute();

if($stmFeriadoExiste  -> rowCount()>0 && $idFeriado==""){  
  echo "JaExiste";
  exit;
}else{

  if($idFeriado==""){
    $stmAddFeriado    = $rsConexao->prepare("INSERT INTO reg_tb_feriados(data_inicioferiado,data_fimferiado,descricao_feriado)VALUES(:setDataInicial,:setDataDinal,:setDescricaoFeriado)");
  }else{
    $stmAddFeriado    = $rsConexao->prepare("UPDATE reg_tb_feriados SET data_inicioferiado=:setDataInicial, data_fimferiado=:setDataDinal,descricao_feriado=:setDescricaoFeriado WHERE id_feriado='$idFeriado'");
  }

  $stmAddFeriado  -> bindParam(":setDataInicial",$dataInicialFeriado,PDO::PARAM_STR);
  $stmAddFeriado  -> bindParam(":setDataDinal",$dataFinalFeriado,PDO::PARAM_STR);
  $stmAddFeriado  -> bindParam(":setDescricaoFeriado",$descricaoFeriado,PDO::PARAM_STR);
  $stmAddFeriado  -> execute();
  


  //******* carregar lista atualizada */  
  $sqlFeriado	= "SELECT *, id_feriado, date_format(data_inicioferiado,'%d/%m/%Y') as dataInicial, date_format(data_fimferiado,'%d/%m/%Y') as dataFinal, date_format(data_fimferiado,'%Y-%m-%d') as dataFimValidacao, descricao_feriado FROM reg_tb_feriados ORDER BY data_fimferiado DESC";
  $stmFeriado	= $rsConexao->prepare($sqlFeriado);
  $stmFeriado	->execute();
  if($stmFeriado->rowCount()>0){
    $rsFeriado	= $stmFeriado->fetchAll(PDO::FETCH_ASSOC);
    foreach($rsFeriado as $fieldFeriado){
      $idFeriado					= $fieldFeriado['id_feriado'];
      $dataInicial				= $fieldFeriado['dataInicial'];
      $dataFinal					= $fieldFeriado['dataFinal'];
      $dataInicioFeriado	= $fieldFeriado['data_inicioferiado'];
      $dataFinalFeriado		= $fieldFeriado['data_fimferiado'];																		
      $descricaoFeriado		= mb_strtoupper($fieldFeriado['descricao_feriado']);
      
      $esconderComando      = $fieldFeriado['dataFimValidacao']<date("Y-m-d") ? "style='display:none'" : "";
      $corFundoDatafinal    = $fieldFeriado['dataFimValidacao']<date("Y-m-d") ? "style='background-color: #e2aaaa !important; color: #700000'" : "";
                                          
      $linkEditarFeriado	= '"editarFeriado(' . "'$idFeriado##$dataInicioFeriado##$dataFinalFeriado##$descricaoFeriado')" . '"';
      $linkExcluirFeriado	= '"excluirFeriado(' . "'$idFeriado')" . '"';																	
      echo "<tr>
        <td style='text-align:center'>
          <i class='icofont icofont-edit nova_fonte' title='Editar registro de feriado.' $esconderComando onclick=$linkEditarFeriado></i>&nbsp;
          <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de feriado.' $esconderComando onclick=$linkExcluirFeriado></i>
        </td>
        <td align='center'>$dataInicial</td>
        <td align='center' $corFundoDatafinal>$dataFinal</td>
        <td>$descricaoFeriado</td>
      </tr>";
    }
  }
}
//**************************************************** */
?>